.console {
    max-height: 250px;
    height: 100%;
    width: 100%;
    overflow-y: auto;
    overflow-x: auto;
    border-radius: 7px;
}
.consolewrap {
    position: relative;
}

.consolewrap.active {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color:rgba(0,0,0,0.5);
    border-radius: 0;
    z-index: 2;
}

.consolewrap > .console-fullscreen {
    color: gray;
    z-index: 3;
    position: absolute;
    top: 10px;
    right: 20px;
}

.consolewrap.active > .console-fullscreen{
    position: fixed;
    top: calc(4vh + 10px);
    right: calc(4vh + 30px);
}

.consolewrap > .console-scrolllock {
    color: gray;
    z-index: 3;
    position: absolute;
    top: calc(10px + 1.5em);
    right: 20px;
}

.consolewrap > .console-scrolllock.fa-unlock-alt {
    display:none;
}

.consolewrap.scrolllock > .console-scrolllock.fa-unlock-alt {
    display:block;
}

.consolewrap.scrolllock > .console-scrolllock.fa-lock {
    display:none;
}

.consolewrap.active > .console-scrolllock {
    position: fixed;
    top: calc(4vh + 10px + 1.5em);
    right: calc(4vh + 30px);
}
.consolewrap > i {
    cursor: pointer;
    transition: all 0.15s ease-in-out;
}

.consolewrap > i:hover {
    color:lightgray;
    transform: scale(1.2);
}

.consolewrap.active .console{
    position: fixed;
    top: 4vh;
    left: 4vh;
    right: 4vh;
    bottom: 4vh;
    width: auto !important;
    height: auto !important;
    max-height: 100%;
}

.log-line {
    padding-right: 3rem;
}

directioncontrol button:not(:last-child) {
    margin-bottom: 0.5rem;
    margin-right: 0.5rem;
}

.buttons.has-addons.is-vertical {
    flex-direction: column;
    display: inline-flex;
    min-width: 2.25em;
}


.buttons.has-addons.is-vertical .button {
    margin-bottom: 0;
    /*width: 100%;*/
    border-radius: initial;
    margin: 0;
}

.buttons.has-addons.is-vertical .button:first-child {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.buttons.has-addons.is-vertical .button:last-child {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}